<?php

/**
 * Municipios form base class.
 *
 * @package    form
 * @subpackage municipios
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseMunicipiosForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'codmun'    => new sfWidgetFormInputHidden(),
      'municipio' => new sfWidgetFormInput(),
      'depto'     => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'codmun'    => new sfValidatorPropelChoice(array('model' => 'Municipios', 'column' => 'codmun', 'required' => false)),
      'municipio' => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'depto'     => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('municipios[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Municipios';
  }


}
